#!/bin/sh

echo "Daily maintenance starting: `date`"
# Delete tiles in zoomlevel 13-14 that are older than 336 hours = 14 days
sudo -u tirex -- /home.local/osm/bin/osmtilecleanup.pl --zoom 13-14 --action delete --rmemptydirs --minage 336 /var/lib/tirex/tiles/osm
sudo -u tirex -- /home.local/osm/bin/osmtilecleanup.pl --zoom 13-14 --action delete --rmemptydirs --minage 336 /var/lib/tirex/tiles/osmde
# Delete tiles in zoomlevel 15-20 that are older than 168 hours =  7 days
sudo -u tirex -- /home.local/osm/bin/osmtilecleanup.pl --zoom 15-20 --action delete --rmemptydirs --minage 168 /var/lib/tirex/tiles/osm
sudo -u tirex -- /home.local/osm/bin/osmtilecleanup.pl --zoom 15-20 --action delete --rmemptydirs --minage 168 /var/lib/tirex/tiles/osmde
# Regenerate a part of zoomlevel 0-12 tiles. There are at most 350000 such tiles.
# At 5000 a day, it'll take 70 days to regenerate all. As they hardly ever change, that should be fine.
/home.local/osm/bin/osmtilecleanup.pl --zoom  0-12 --action rerender \
                                      --limit 5000 --rrs /home.local/osm/bin/osmrerenderwrapper.sh /var/lib/tirex/tiles/osm
/home.local/osm/bin/osmtilecleanup.pl --zoom  0-12 --action rerender \
                                      --limit 5000 --rrs /home.local/osm/bin/osmrerenderwrapper-osmde.sh /var/lib/tirex/tiles/osmde
# Update tile stats for munin
tirex-tiledir-check --stats=/var/lib/tirex/stats/tiles-osm.stats osm
tirex-tiledir-check --stats=/var/lib/tirex/stats/tiles-osmde.stats osmde

DOW=`/bin/date '+%w'`
if [ "$DOW" == "6" -o "$DOW" == "3" ] ; then
	echo "Time to vacuum the databse... This will take a few hours."
	# Vacuum the database. This can take hours. Possibly better just once per week?
	time psql --dbname=osm -c 'vacuum verbose analyze'
fi

# Rerender Erlangen / Nuernberg. Around 4000 tiles, takes around 30 minutes.
tirex-batch --prio=22 --expire=+14400 map=osm bbox=10.93,49.37,11.14,49.63 z=13-19
tirex-batch --prio=22 --expire=+14400 map=osmde bbox=10.93,49.37,11.14,49.63 z=13-19

echo "Daily maintenance finished: `date`"

